Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.charcode
Class CharacterSetFactory

    java.lang.Object
      net.sf.saxon.charcode.CharacterSetFactory

    public class CharacterSetFactory

extends java.lang.Object

This class creates a CharacterSet object for a given named encoding.

Method Summary
`static CharacterSet` | `getCharacterSet(java.util.Properties details, PipelineConfiguration pipe)` Make a CharacterSet appropriate to the encoding
`static void` | `main(java.lang.String[] args)` Main program is a utility to give a list of the character sets supported by the Java VM

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getCharacterSet

    public static CharacterSet getCharacterSet(java.util.Properties details,
                                               PipelineConfiguration pipe)
                                        throws XPathException

  Make a CharacterSet appropriate to the encoding

  Parameters:
    `details` - the serialization properties
    `pipe` - the PipelineConfiguration (used to get the current ClassLoader)
  Returns:
    the constructed CharacterSet
  Throws:
    `XPathException`

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Main program is a utility to give a list of the character sets supported by the Java VM

  Parameters:
    `args` - command line arguments
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) Saxonica Limited. All rights reserved.